import { ReactElement } from 'react';
export declare type CheckboxProps = {
    id?: string;
    name?: string;
    value?: string;
    label: ReactElement<any, any> | string;
    selected?: boolean;
    disabled?: boolean;
    onChange?: (value: boolean) => void | boolean;
    style?: React.CSSProperties;
    textStyle?: React.CSSProperties;
    reversedStyle?: boolean;
};
/**
 *
 * @param id, name, value, label, selected, onChange, style, textStyle
 * @constructor
 */
export declare const Checkbox: ({ id, name, value, label, selected, disabled, onChange, style, textStyle, reversedStyle }: CheckboxProps) => JSX.Element;
