/// <reference types="react" />
export declare enum FormIconsId {
    Info = "info",
    Warning = "warning"
}
export declare type IconProps = {
    id: FormIconsId;
    className?: string;
};
/**
 * [DEPRECATED] Use <Icon> component instead.<br/>
 * Render an Icon referencing the application SVG Sprite
 * @param id
 * @constructor
 */
export declare const FormIcon: ({ id, ...rest }: IconProps) => JSX.Element;
