import { CSSProperties } from 'react';
export declare enum Icons {
    Close = "close",
    MenuToggle = "menu-toggle",
    ChevronDown = "chevron-down",
    ChevronUp = "chevron-up",
    ChevronLeft = "chevron-left",
    ChevronRight = "chevron-right",
    ArrowDown = "arrow-down",
    ArrowLeft = "arrow-left",
    ArrowRight = "arrow-right",
    ArrowUp = "arrow-up",
    Info = "info",
    HalfStar = "half-star",
    Star = "star",
    AddSimple = "add-simple",
    MinusSimple = "minus-simple",
    'social-facebook' = "social-facebook",
    'social-linkedin' = "social-linkedin",
    'social-instagram' = "social-instagram",
    'social-twitter' = "social-twitter",
    'social-youtube' = "social-youtube",
    Clock = "clock",
    Warning = "Warning",
    Expand = "Expand",
    Download = "Download",
    ZoomIn = "ZoomIn",
    ZoomOut = "ZoomOut"
}
export declare type IconProps = {
    id: Icons;
    className?: string;
    style?: CSSProperties;
};
/**
 * Render an SVG Icon
 * @param id
 * @constructor
 */
export declare const Icon: ({ id, ...rest }: IconProps) => JSX.Element;
