/// <reference types="react" />
export declare enum Platforms {
    'mobile' = 0,
    'desktop' = 1
}
export declare type ImageMaskProps = {
    imageId: string;
    maskId: string;
    imageUrl: string;
    platform: Platforms;
};
/**
 * SVG mask applied on an image or video, with different types of mask shapes.
 * @param maskId
 * @param imageUrl
 * @constructor
 */
export declare const ImageMask: ({ imageId, maskId, imageUrl, platform }: ImageMaskProps) => JSX.Element;
