import React, { ReactNode } from 'react';
export declare type ButtonIconProps = {
    label: string;
    ariaLabel?: string;
    href: string;
    className?: string;
    icon?: ReactNode;
    rel?: string;
    onClick?: (e: React.MouseEvent<HTMLElement>) => void;
    onKeyDown?: (e: React.KeyboardEvent<HTMLAnchorElement>) => void;
    onMouseDown?: (e: React.MouseEvent<HTMLAnchorElement>) => void;
};
export declare const ButtonIcon: ({ label, icon, ariaLabel, href, className, onClick, onKeyDown, onMouseDown, rel }: ButtonIconProps) => JSX.Element;
