/// <reference types="react" />
import { ColorStyles } from '../../types';
export declare type ListOfOption = {
    option: string;
    selected: boolean;
};
export declare const findInArray: (array: ListOfOption[], item: ListOfOption) => ListOfOption;
export declare type DropdownMultipleChoiceProps = {
    emptyListMessage?: string;
    label?: string;
    onChange: (value?: any) => any;
    options: string[];
    placeholder?: string;
    required?: boolean;
    disabled?: boolean;
    justInArray?: any;
    resetValue?: string;
    limit?: number;
    colorStyle?: ColorStyles;
    a11yToggleButtonLabel: string;
    a11ySelectedItemCloseButtonLabel: string;
    noMargin?: boolean;
};
/**
 * A custom select component that allow multiple selection and display chips for the selected items. * @param label * @param emptyListMessage
 * @param emptyListMessage
 * @param label
 * @param options
 * @param placeholder
 * @param onChange
 * @param value
 * @param justInArray
 * @param resetValue
 * @param limit
 * @param colorStyle
 * @param a11ySelectedItemCloseButtonLabel
 * @param noMargin
 * @constructor
 */
export declare const DropdownMultipleChoice: ({ emptyListMessage, label, options, placeholder, required, disabled, onChange, justInArray, resetValue, limit, colorStyle, a11yToggleButtonLabel, a11ySelectedItemCloseButtonLabel, noMargin }: DropdownMultipleChoiceProps) => JSX.Element;
