import { HTMLInputTypeAttribute } from 'react';
import { ColorStyles } from '../../types';
export declare type InputFieldProps = {
    id?: string;
    type?: HTMLInputTypeAttribute | undefined;
    value?: string | number;
    error?: boolean;
    label?: string;
    placeholder?: string;
    required?: boolean;
    disabled?: boolean;
    maxLength?: number;
    prefix?: string;
    message?: string;
    onBlur?: (value: any) => any;
    onChange?: (value: any) => any;
    onClick?: (value: any) => any;
    onEnter?: (value?: any) => any;
    colorStyle?: ColorStyles;
};
/**
 *
 * @param disabled, error, id, inputFieldId, label, maxLength, message, onBlur, onChange, onClick, onEnter, placeholder, type, value, required
 * @constructor
 */
export declare const InputField: ({ error, disabled, id, label, prefix, maxLength, message, onBlur, onChange, onClick, onEnter, placeholder, type, value, required, colorStyle }: InputFieldProps) => JSX.Element;
