/// <reference types="react" />
export declare type VideoMaskProps = {
    maskId: string;
    backgroundColorHex: string;
};
/**
 * SVG mask applied on an image or video, with different types of mask shapes.
 *
 * Note: this component doesn't provide any style.
 *
 * @param maskId
 * @param backgroundColorHex
 * @constructor
 */
export declare const VideoMask: ({ maskId, backgroundColorHex }: VideoMaskProps) => JSX.Element;
