/// <reference types="react" />
export declare type OtpFieldProp = {
    error?: boolean;
    message?: string;
    onChange: (value: string) => any;
    otpFieldId: OtpFieldId;
};
export declare enum OtpFieldId {
    BASIC1 = "basic1",
    BASIC5 = "basic5"
}
/**
 *
 * @param error, message, onChange, otpFieldId
 * @constructor
 */
export declare const OtpField: ({ error, message, onChange, otpFieldId }: OtpFieldProp) => JSX.Element;
