import { ReactElement } from 'react';
export declare type RadioButtonProps = {
    id?: string;
    groupName: string;
    value: string;
    label?: ReactElement<any, any> | string;
    selected?: boolean;
    disabled?: boolean;
    onChange?: (value: string) => void | string;
    style?: React.CSSProperties;
    textStyle?: React.CSSProperties;
    reversedStyle?: boolean;
};
/**
 *
 * @param id, name, value, label, selected, disabled, onChange, style, textStyle, reversedStyle
 * @constructor
 */
export declare const RadioButton: ({ id, groupName, value, label, selected, disabled, onChange, style, textStyle, reversedStyle }: RadioButtonProps) => JSX.Element;
