import { ReactElement } from 'react';
import { ColorStyles } from '../../types';
export declare type ToggleProps = {
    label: ReactElement<any, any> | string;
    name?: boolean;
    onClick: (value: boolean) => void | boolean;
    colorStyle?: ColorStyles;
};
/**
 *
 * @param label, name, onClick
 * @constructor
 */
export declare const Toggle: ({ label, colorStyle, name, onClick }: ToggleProps) => JSX.Element;
